--
--	ViconKD714
--
--	@author: 	 ReverS
--	@descripion: Configurations mixer
--	@history:	 v1.0 - 2017-31-12 - Initial implementation
--
ConfigurationUtil.registerConfigurationType('walze', g_i18n:getText('configuration_walze'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)
ConfigurationUtil.registerConfigurationType('hydropack', g_i18n:getText('configuration_hydropack'), nil, nil, nil, ConfigurationUtil.SELECTOR_MULTIOPTION)

ViconKD714 = {}
ViconKD714.modDir = g_currentModDirectory;

function ViconKD714.prerequisitesPresent(specializations)
    return true;
end;

function ViconKD714:load(savegame)
	local walzeId = Utils.getNoNil(self.configurations["walze"], 1);
	local hydropackId = Utils.getNoNil(self.configurations["hydropack"], 1);	
	
	if self.configurations["walze"] ~= nil then
    	ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.walzeConfigurations.walzeConfiguration", walzeId, self.components, self);
    end;
	if self.configurations["hydropack"] ~= nil then
    	ObjectChangeUtil.updateObjectChanges(self.xmlFile, "vehicle.hydropackConfigurations.hydropackConfiguration", hydropackId, self.components, self);
    end;	
end;

function ViconKD714:delete()
end;

function ViconKD714:readStream(streamId, connection)
end;

function ViconKD714:writeStream(streamId, connection)
end;

function ViconKD714:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ViconKD714:keyEvent(unicode, sym, modifier, isDown)
end;

function ViconKD714:update(dt) 
end;

function ViconKD714:onLeave()
end;

function ViconKD714:draw()
end;
	
function ViconKD714:onDetach()
end;
	
function ViconKD714:onDeactivate()
end;
	

